## NAME

g.gui.datacatalog - Tool for browsing, modifying and managing GRASS maps.

## KEYWORDS

general, GUI, map management

## SYNOPSIS

g.gui.datacatalog
g.gui.datacatalog --help
g.gui.datacatalog [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

## DESCRIPTION

The Data Catalog is a wxGUI component for browsing, modifying and managing GRASS maps.

Data Catalog allows you to:

- browse GRASS projects and mapsets in the current GIS directory
- browse GRASS 2D/3D raster and vector maps
- rename, copy, move and delete GRASS maps including reprojection between different projects
- drag and drop maps for copying and moving
- searching and filtering maps using regular expressions
- display map in current project
- show metadata of maps

Note that projects are called locations at some places and in old documentation.
Figure: Data Catalog integrated in wxGUI.

## NOTES

Some operations (copying, renaming, deleting) are by default enabled only within the current mapset. To allow changing data outside of your current mapset, you need to press Unlock button in Data Catalog toolbar.

### WARNING

When renaming, copying or deleting maps outside of Data Catalog, you need to reload the current mapset or entire database, because it is currently not synchronised.

## SEE ALSO

wxGUI, wxGUI components

g.copy, g.rename, g.remove, g.list

## AUTHORS

Anna Petrasova, NCSU GeoForAll Laboratory
Tereza Fiedlerova, OSGeoREL, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: wxGUI Data Catalog source code (history)

Accessed: Sunday Nov 23 13:16:50 2025

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.2 Reference Manual